org.apache.synapse.securevault.definition

## Class CipherInformation

- java.lang.Object
- - org.apache.synapse.securevault.definition.CipherInformation

-     public class CipherInformation
      extends Object

  Encapsulates the cipher related information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_ALGORITHM` Default cipher algorithm

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CipherInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `CipherOperationMode` | `getCipherOperationMode()`
    `EncodingType` | `getInType()`
    `String` | `getMode()`
    `EncodingType` | `getOutType()`
    `String` | `getProvider()`
    `String` | `getType()`
    `void` | `setAlgorithm(String algorithm)`
    `void` | `setCipherOperationMode(CipherOperationMode operationMode)`
    `void` | `setInType(EncodingType inType)`
    `void` | `setMode(String mode)`
    `void` | `setOutType(EncodingType outType)`
    `void` | `setProvider(String provider)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ALGORITHM

          public static final String DEFAULT_ALGORITHM

      Default cipher algorithm
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CipherInformation

          public CipherInformation()

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String algorithm)

    - #### getCipherOperationMode

          public CipherOperationMode getCipherOperationMode()

    - #### setCipherOperationMode

          public void setCipherOperationMode(CipherOperationMode operationMode)

    - #### getMode

          public String getMode()

    - #### setMode

          public void setMode(String mode)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getInType

          public EncodingType getInType()

    - #### setInType

          public void setInType(EncodingType inType)

    - #### getOutType

          public EncodingType getOutType()

    - #### setOutType

          public void setOutType(EncodingType outType)

    - #### getProvider

          public String getProvider()

    - #### setProvider

          public void setProvider(String provider)

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.